- Qt 5.15
- Qt 3D
- C++ Classes
- QPlaneGeometry
- Qt 5.15.11 Reference Documentation

# QPlaneGeometry Class

class Qt3DExtras::QPlaneGeometry

The QPlaneGeometry class allows creation of a plane in 3D space. * * * * The QPlaneGeometry class is most commonly used internally by the QPlaneMesh * but can also be used in custom Qt3DRender::QGeometryRenderer subclasses. More...

Header: | #include <Qt3DExtras/QPlaneGeometry>
qmake: | QT += 3dextras
Since: | Qt 5.7
Instantiated By: | PlaneGeometry
Inherits: | Qt3DRender::QGeometry

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- height : float
- indexAttribute : Qt3DRender::QAttribute* const
- mirrored : bool
- normalAttribute : Qt3DRender::QAttribute* const
- positionAttribute : Qt3DRender::QAttribute* const

- resolution : QSize
- tangentAttribute : Qt3DRender::QAttribute* const
- texCoordAttribute : Qt3DRender::QAttribute* const
- width : float

## Public Functions

| QPlaneGeometry(QNode *parent = nullptr)
float | height() const
Qt3DRender::QAttribute * | indexAttribute() const
bool | mirrored() const
Qt3DRender::QAttribute * | normalAttribute() const
Qt3DRender::QAttribute * | positionAttribute() const
QSize | resolution() const
Qt3DRender::QAttribute * | tangentAttribute() const
Qt3DRender::QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()
float | width() const

## Public Slots

void | setHeight(float height)
void | setMirrored(bool mirrored)
void | setResolution(const QSize &resolution)
void | setWidth(float width)

## Signals

void | heightChanged(float height)
void | mirroredChanged(bool mirrored)
void | resolutionChanged(const QSize &resolution)
void | widthChanged(float width)

## Detailed Description

* * * *

## Property Documentation

### height : float

Holds the plane height.

Access functions:

float | height() const
void | setHeight(float height)

Notifier signal:

void | heightChanged(float height)

### indexAttribute : Qt3DRender::QAttribute* const

Holds the geometry index attribute.

Access functions:

Qt3DRender::QAttribute * | indexAttribute() const

### mirrored : bool

Controls if the UV coordinates of the plane should be flipped vertically.

This property was introduced in Qt 5.9.

Access functions:

bool | mirrored() const
void | setMirrored(bool mirrored)

Notifier signal:

void | mirroredChanged(bool mirrored)

### normalAttribute : Qt3DRender::QAttribute* const

Holds the geometry normal attribute.

Access functions:

Qt3DRender::QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute* const

Holds the geometry position attribute.

Access functions:

Qt3DRender::QAttribute * | positionAttribute() const

### resolution : QSize

Holds the plane resolution.

Access functions:

QSize | resolution() const
void | setResolution(const QSize &resolution)

Notifier signal:

void | resolutionChanged(const QSize &resolution)

### tangentAttribute : Qt3DRender::QAttribute* const

Holds the geometry tangent attribute.

Access functions:

Qt3DRender::QAttribute * | tangentAttribute() const

### texCoordAttribute : Qt3DRender::QAttribute* const

Holds the geometry texture coordinate attribute.

Access functions:

Qt3DRender::QAttribute * | texCoordAttribute() const

### width : float

Holds the plane width.

Access functions:

float | width() const
void | setWidth(float width)

Notifier signal:

void | widthChanged(float width)

## Member Function Documentation

### QPlaneGeometry::QPlaneGeometry(QNode *parent = nullptr)

Constructs a new QPlaneGeometry with parent.

### void QPlaneGeometry::updateIndices()

Updates indices based on mesh resolution.

### void QPlaneGeometry::updateVertices()

Updates vertices based on mesh resolution, width, and height properties.